Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
    • Cloud Interconnect
    • Cloud Backup
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Router
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Managed Service for YDB
    • SpeechKit
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • Container Registry
    • Managed Service for Prometheus®
    • Message Queue
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Cloud Apps
    • Yandex AI Studio
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Yandex Cloud Video
    • Stackland
    • Yandex StoreDoc
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • DataSphere
    • Vision OCR
    • Translate
    • Cloud Registry
    • SmartCaptcha
    • Cloud Desktop
    • SourceCraft Code Assistant
    • Managed Service for GitLab
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Serverless Integrations
    • IoT Core
    • Serverless Containers
    • Cloud Notification Service
    • Yandex Query
  • Статус работы сервисов
  • Marketplace
    • Доступны в регионе
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Партнёрская программа
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex Virtual Private Cloud
KZ
  • Начало работы
  • DDoS Protection
  • Управление доступом
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • AddCidrBlocks
        • RemoveCidrBlocks
        • Relocate
        • Delete
        • ListOperations
        • Move
        • ListUsedAddresses
  • Метрики Monitoring
  • Аудитные логи Audit Trails
  • История изменений
  • Вопросы и ответы
  • Обучающие курсы

В этой статье:

  • gRPC request
  • ListSubnetsRequest
  • ListSubnetsResponse
  • Subnet
  • DhcpOptions
  1. Справочник API
  2. gRPC (англ.)
  3. Subnet
  4. List

Virtual Private Cloud API, gRPC: SubnetService.List

Статья создана
Yandex Cloud
Обновлена 18 июня 2026 г.
Открыть в Markdown
  • gRPC request
  • ListSubnetsRequest
  • ListSubnetsResponse
  • Subnet
  • DhcpOptions

Retrieves the list of Subnet resources in the specified folder.

gRPC requestgRPC request

rpc List (ListSubnetsRequest) returns (ListSubnetsResponse)

ListSubnetsRequestListSubnetsRequest

{
  "folder_id": "string",
  "page_size": "int64",
  "page_token": "string",
  "filter": "string"
}

Field

Description

folder_id

string

ID of the folder to list subnets in.
To get the folder ID use a yandex.cloud.resourcemanager.v1.FolderService.List request.
The length must be less than or equal to 50.
This field is required.

page_size

int64

The maximum number of results per page to return. If the number of available
results is larger than page_size,
the service returns a ListSubnetsResponse.next_page_token
that can be used to get the next page of results in subsequent list requests. Default value: 100.
The value must be less than or equal to 1000.

page_token

string

Page token. To get the next page of results, set page_token to the
ListSubnetsResponse.next_page_token returned by a previous list request.
The length must be less than or equal to 100.

filter

string

A filter expression that filters resources listed in the response.
The expression must specify:

  1. The field name. Currently you can use filtering only on Subnet.name field.
  2. An = operator.
  3. The value in double quotes ("). Must be 3-63 characters long and match the regular expression [a-z][-a-z0-9]{1,61}[a-z0-9].
    The length must be less than or equal to 1000.

ListSubnetsResponseListSubnetsResponse

{
  "subnets": [
    {
      "id": "string",
      "folder_id": "string",
      "created_at": "google.protobuf.Timestamp",
      "name": "string",
      "description": "string",
      "labels": "map<string, string>",
      "network_id": "string",
      "zone_id": "string",
      "v4_cidr_blocks": [
        "string"
      ],
      "v6_cidr_blocks": [
        "string"
      ],
      "route_table_id": "string",
      "dhcp_options": {
        "domain_name_servers": [
          "string"
        ],
        "domain_name": "string",
        "ntp_servers": [
          "string"
        ]
      }
    }
  ],
  "next_page_token": "string"
}

Field

Description

subnets[]

Subnet

List of Subnet resources.

next_page_token

string

This token allows you to get the next page of results for list requests. If the number of results
is larger than ListSubnetsRequest.page_size, use
the next_page_token as the value
for the ListSubnetsRequest.page_token query parameter
in the next list request. Subsequent list requests will have their own
next_page_token to continue paging through the results.

SubnetSubnet

A Subnet resource. For more information, see Subnets.

Field

Description

id

string

ID of the subnet.

folder_id

string

ID of the folder that the subnet belongs to.

created_at

google.protobuf.Timestamp

Creation timestamp in RFC3339 text format.

name

string

Name of the subnet.
The name must be unique within the folder.
Value must match the regular expression ``\

a-zA-Z?``.

description

string

Optional description of the subnet. 0-256 characters long.

labels

object (map<string, string>)

Resource labels, key:value pairs.
No more than 64 per resource.
The maximum string length in characters for each value is 63.
Each value must match the regular expression [-_0-9a-z]*.
The string length in characters for each key must be 1-63.
Each key must match the regular expression [a-z][-_0-9a-z]*.

network_id

string

ID of the network the subnet belongs to.

zone_id

string

ID of the availability zone where the subnet resides.

v4_cidr_blocks[]

string

CIDR block.
The range of internal addresses that are defined for this subnet.
This field can be set only at Subnet resource creation time and cannot be changed.
For example, 10.0.0.0/22 or 192.168.0.0/24.
Minimum subnet size is /28, maximum subnet size is /16.

v6_cidr_blocks[]

string

IPv6 not available yet.

route_table_id

string

ID of route table the subnet is linked to.

dhcp_options

DhcpOptions

DHCP options for the subnet.

DhcpOptionsDhcpOptions

Field

Description

domain_name_servers[]

string

A list of DHCP servers for this subnet.

domain_name

string

A domain name to us as a suffix when resolving host names in this subnet.

ntp_servers[]

string

List of NTP servers for this subnet.

Была ли статья полезна?

Предыдущая
Get
Следующая
Create
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»